
QGIS Application - Bug report #8398

Help doesn't open

2013-08-02 03:44 AM - Jonathan Moules

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17170

Description

This seems like quite a critical issue.

Pressing any of the "help" buttons doesn't open any help. I get a log message though:

Error starting help viewer[0] - level 1.

Windows weekly build - commit:a13cdf8

Associated revisions

Revision 58b79108 - 2013-08-14 03:19 PM - Jürgen Fischer

osgeo4w: fix install in directory with blanks (fixes #8398)

History

#1 - 2013-08-02 03:45 AM - Matthias Kuhn

- Priority changed from Normal to Severe/Regression

If this is confirmed, it's a blocker

#2 - 2013-08-02 04:27 AM - Salvatore Larosa

- Status changed from Open to Feedback

Not confirmed here, I also tested it on Windows XP (e3b8b41) and it works.

#3 - 2013-08-02 04:32 AM - Jonathan Moules

I'm using Windows 7, 64bit. It's a new install on a new machine that hasn't had QGIS installed on it before.

#4 - 2013-08-02 04:54 AM - Regis Haubourg

not reproduced here, windows 7 64 bit. 

but I get a error message in qgis.org site, the url seems deprecated.
#5 - 2013-08-02 04:58 AM - Jonathan Moules

Does it require internet access to work? My QGIS doesn't have internet access.

#6 - 2013-08-02 08:37 AM - Giovanni Manghi

Jonathan Moules wrote:

Does it require internet access to work? My QGIS doesn't have internet access.

"help content" (shortcut f1) opens a web page, in a browser.

#7 - 2013-08-03 05:37 PM - Nathan Woodrow

I can't confirm here too. Opens http://docs.qgis.org/2.0/html/en/docs/user_manual/ for me.

#8 - 2013-08-05 02:08 AM - Jonathan Moules

Giovanni Manghi wrote:

Jonathan Moules wrote:

Does it require internet access to work? My QGIS doesn't have internet access.

"help content" (shortcut f1) opens a web page, in a browser.

Yep, that works for me, but it's not the error I'm reporting.

The failure is the dialog specific help buttons. So "Add Oracle Tables" -> Help fails. "Add Layers from a Server" (WMS/WMTS) - Help fails. Every one of

them that I've tried fails.

#9 - 2013-08-05 02:15 AM - Giovanni Manghi

The failure is the dialog specific help buttons. So "Add Oracle Tables" -> Help fails. "Add Layers from a Server" (WMS/WMTS) - Help fails. Every

one of them that I've tried fails.

they all work fine here, on both Linux and Windows.

#10 - 2013-08-05 05:02 AM - Rémi Bovard

Confirmed here

Error starting help viewer [0]
On weekly a13cdf8 - Win7 32 bits

#11 - 2013-08-06 03:46 AM - Salvatore Larosa

Please, could you try with a more updated weekly package or better, if possible, with the latest master ?

#12 - 2013-08-07 02:10 AM - Rémi Bovard

Always the same error with the latest weekly 7748102

#13 - 2013-08-07 04:42 PM - Nathan Woodrow

Can't confirm here. Opens the help viewer as expected.

#14 - 2013-08-11 04:36 PM - Nathan Woodrow

Can we get an update on this Jonathan using the latest master.

#15 - 2013-08-12 03:04 AM - Jonathan Moules

I can't install the master, only the weeklies. I guess I can do that tomorrow as it hasn't been built yet.

#16 - 2013-08-12 01:40 PM - Salvatore Larosa

Jonathan Moules wrote:

I can't install the master, only the weeklies. I guess I can do that tomorrow as it hasn't been built yet.

Could you try to rename path/to/application/QGIS Weekly to path/to/application/QGIS_Weekly ? 

or at least to strip the spaces into your app path ? This trick has worked for me although it is very strange !

wainting for the fix, you can choose an own path without spaces when you install the weekly package!

Also, I am not sure whether using escaped quotes would solve the problem:

diff --git a/src/core/qgscontexthelp.cpp b/src/core/qgscontexthelp.cpp

index b259032..3a743c5 100644

--- a/src/core/qgscontexthelp.cpp

+++ b/src/core/qgscontexthelp.cpp

@@ -73,7 +73,7 @@ QProcess *QgsContextHelp::start()

   }

 #endif

-  process->start( helpPath );

+  process->start( "\\"" + helpPath + "\\"" );

   return process;
 }

#17 - 2013-08-13 01:22 AM - Rémi Bovard

It worked !

I installed latest weekly in C:\\Temp\\QGIS_Weekly

#18 - 2013-08-13 02:55 AM - Jonathan Moules

It seems like in a bout of stupidity, our corporate network has now blocked the download of .exe files so I can't even download the new QGIS weekly. sigh

However I can confirm using the a13cdf8 that renaming to "QGIS_Weekly" from "QGIS Weekly" does resolve the issue.

#19 - 2013-08-14 12:47 AM - Andreas Neumann

Works fine for me. However, some of the help content is very outdated. E.g. the help for layer properties talks about 7 tabs, but there are 10 and it is really

completely outdated.

Wasn't the idea that we jump directly to the corresponding section in the online help?

#20 - 2013-08-14 06:20 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"58b79108ea91cc6f34e2a71987ea65c254aefe7c".
